%define name rocketchat-permission-fixer
%define version 1
%define release 1

Summary: Fixes broken rocketchat packages
Name: %{name}
Version: %{version}
Release: %{release}
License: public-domain
Group: System/Tools
Prefix: %{_prefix}
BuildArchitectures: noarch
Requires: rocketchat

%description
Contains hooks to fix broken rocketchat package that complain about
wrong sanbox permissions instead of starting:

> The SUID sandbox helper binary was found, but is not configured
> correctly. Rather than run without sandboxing I\'m aborting now. You
> need to make sure that /opt/Rocket.Chat/chrome-sandbox is owned by
> root and has mode 4755.

Bug is reported here:
https://github.com/RocketChat/Rocket.Chat.Electron/issues/1352

%post
if [ -f /opt/Rocket.Chat/chrome-sandbox ]
then
    chmod 4755 /opt/Rocket.Chat/chrome-sandbox
fi

%triggerin -- rocketchat
if [ -f /opt/Rocket.Chat/chrome-sandbox ]
then
    chmod 4755 /opt/Rocket.Chat/chrome-sandbox
else
    echo "%{name}-%{version}: TRIGGERIN: file not found: opt/Rocket.Chat/chrome-sandbox"
fi

%files
